require	'mxx_ru/cpp'

require 'oess_1/util_cpp_serializer/gen'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Exe_target.new( "test/subclassing_by_extension/pack_unpack/v2/prj.rb" ) {

		target( "test.subclassing_by_extension.pack_unpack.v2" )

		required_prj( "ace/dll.rb" )

		required_prj( "oess_1/defs/prj.rb" )
		required_prj( "oess_1/io/prj.rb" )

		generator( Oess_1::Util_cpp_serializer::Gen.new( self ) ).
			ddl_file( "main.ddl" )


		cpp_source( "main.cpp" )
	}
)
